import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/blade-desk/notice/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getNoticeList = (current, size, params) => {
  return request({
    url: '/api/blade-desk/notice/myNoticePage',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const setHadRead = (ids) => {
  return request({
    url: '/api/blade-desk/notice/setHadRead',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const setAllHadRead = () => {
  return request({
    url: '/api/blade-desk/notice/setAllHadRead',
    method: 'post',
    params: {
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/blade-desk/notice/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/blade-desk/notice/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/blade-desk/notice/submit',
    method: 'post',
    data: row
  })
}

export const getNotice = (id) => {
  return request({
    url: '/api/blade-desk/notice/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const testNotice = (mocode) => {
  return request({
    url: '/api/blade-desk/notice/testNotice',
    method: 'post',
    params: {
      mocode,
    }
  })
}
